import sform

from intranet.femida.src.candidates.choices import CHALLENGE_RESOLUTIONS


class ChallengeEstimateForm(sform.SForm):

    resolution = sform.ChoiceField(
        choices=CHALLENGE_RESOLUTIONS,
        state=sform.REQUIRED,
    )
    comment = sform.CharField(state=sform.REQUIRED)


class ChallengeCancelForm(sform.SForm):

    cancel_reason = sform.CharField()
